--- 1.5/check_mail.conf	2015-01-04 17:11:28.000000000 -0700
+++ 1.6/check_mail.conf	2015-01-05 04:58:50.000000000 -0700
@@ -9,12 +9,21 @@
        set acl_m_spam_domain =
 
   ##########################
-  # Check SPF record - deny, decrement spam score, or add to score
-  # SPF tells us if server is a sending mailserver for that domain.
+  # check for esf skip lists
 
   accept
     senders = +esf_skip_senders
-    logwrite = $sender_address skipped SPF check via esf_skip_senders
+    set acl_m_esf_skip = 1
+    logwrite = $sender_address skipped via esf_skip_senders
+
+  accept
+    hosts = +esf_skip_hosts
+    set acl_m_esf_skip = 1
+    logwrite = $sender_address skipped via esf_skip_hosts
+
+  ##########################
+  # Check SPF record - deny, decrement spam score, or add to score
+  # SPF tells us if server is a sending mailserver for that domain.
 
   warn
     set acl_m_slow1 = 0
